in scala.util.automata
class WordBerrySethi

abstract `class` WordBerrySethi
  `extends` scala.util.automata.BaseBerrySethi
  `with` scala.ScalaObject

  this turns a regexp into a NondetWordAutom using the celebrated position automata construction (also called Berry-Sethi or Glushkov)

Constructor Summary
| `def` this

Type Summary
| `type` _labelT

Def Summary
| `def` automatonFrom ( pat : WordBerrySethi.this.lang.RegExp , finalTag : scala.Int ) : scala.util.automata.NondetWordAutom[WordBerrySethi.this.lang._labelT]
`protected` | `def` collectTransitions : scala.Unit
`override` `protected` | `def` compFirst ( r : WordBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int] computes first( r ) where the word regexp r
`override` `protected` | `def` compFollow1 ( fol1 : scala.collection.immutable.Set[scala.Int] , r : WordBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int] returns the first set of an expression, setting the follow set along the way
`override` `protected` | `def` compLast ( r : WordBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int] computes last( r ) where the word regexp r
`protected` | `def` initialize ( subexpr : scala.Seq[WordBerrySethi.this.lang.RegExp] ) : scala.Unit
`protected` | `def` initializeAutom : scala.Unit
`override` | `def` lang : scala.util.regexp.WordExp
`protected` | `def` makeTransition ( src : scala.Int , dest : scala.Int , label : WordBerrySethi.this.lang._labelT ) : scala.Unit
`protected` | `def` seenLabel ( r : WordBerrySethi.this.lang.RegExp , i : scala.Int , label : WordBerrySethi.this.lang._labelT ) : scala.Unit called at the leaves of the regexp
`protected` | `def` seenLabel ( r : WordBerrySethi.this.lang.RegExp , label : WordBerrySethi.this.lang._labelT ) : scala.Int
`override` | `def` traverse ( r : WordBerrySethi.this.lang.RegExp ) : scala.Unit

Constructor Detail

`def` this

Type Detail

`type` _labelT

Def Detail

`def` automatonFrom ( pat : WordBerrySethi.this.lang.RegExp , finalTag : scala.Int ) : scala.util.automata.NondetWordAutom[WordBerrySethi.this.lang._labelT]

protected `def` collectTransitions : scala.Unit

override protected `def` compFirst ( r : WordBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int]

  computes first( r ) where the word regexp r

override protected `def` compFollow1 ( fol1 : scala.collection.immutable.Set[scala.Int] , r : WordBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int]

  returns the first set of an expression, setting the follow set along the way

override protected `def` compLast ( r : WordBerrySethi.this.lang.RegExp ) : scala.collection.immutable.Set[scala.Int]

  computes last( r ) where the word regexp r

protected `def` initialize ( subexpr : scala.Seq[WordBerrySethi.this.lang.RegExp] ) : scala.Unit

protected `def` initializeAutom : scala.Unit

override `def` lang : scala.util.regexp.WordExp

protected `def` makeTransition ( src : scala.Int , dest : scala.Int , label : WordBerrySethi.this.lang._labelT ) : scala.Unit

protected `def` seenLabel ( r : WordBerrySethi.this.lang.RegExp , i : scala.Int , label : WordBerrySethi.this.lang._labelT ) : scala.Unit

  called at the leaves of the regexp

protected `def` seenLabel ( r : WordBerrySethi.this.lang.RegExp , label : WordBerrySethi.this.lang._labelT ) : scala.Int

override `def` traverse ( r : WordBerrySethi.this.lang.RegExp ) : scala.Unit